directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Trustin Lee (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (DIRKERBEROS-24) compilation pb with MINA 0.7.1
Date Mon, 23 May 2005 06:29:51 GMT
     [ http://issues.apache.org/jira/browse/DIRKERBEROS-24?page=all ]
     
Trustin Lee resolved DIRKERBEROS-24:
------------------------------------

     Assign To: Trustin Lee
    Resolution: Invalid

mina-0.7.1.jar does contain ProtocolProvider.class.  I downloaded it just now and confirmed
it is there.  You seemed to have used mina-0.9-SNAPSHOT.jar.

Thanks,
Trustin

> compilation pb with MINA 0.7.1
> ------------------------------
>
>          Key: DIRKERBEROS-24
>          URL: http://issues.apache.org/jira/browse/DIRKERBEROS-24
>      Project: Directory Kerberos
>         Type: Bug
>     Reporter: Emmanuel Lecharny
>     Assignee: Trustin Lee

>
> As many improvement and changes has been done in MINA, many pieces of cade are now not
compiling anymore. For instance, 
> Kerberos protocol provider is still depending on org.apache.mina.protocol.ProtocolProvider,
which does not exist anymore.
> May I suggest that if a class is renamed, then at least the old one still remain, deprecated?
If not, don't we have to change user code in  the project to be sure that it compiles? The
pb with Maven, her, is that Kerberos protocol provider depends on an older version of MINA.
I'm not sure that it's a good thing to have two pieces of code dependng on two different versions
of the same code (MINA) in the same project...
> wdyt?

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message